import java.util.List;

import org.seasar.extension.dxo.annotation.ConversionRule;
import org.seasar.extension.dxo.annotation.DatePattern;
import org.seasar.framework.container.annotation.tiger.Aspect;

/**
 * @author y-komori
 * 
 */
@Aspect("dxo.interceptor")
public interface EmployeeDxo {

    @DatePattern("yyyy/MM/dd")
    @ConversionRule("mname : manager.ename")
    List<EmployeeDto> convert(List<Employee> employeeList);

    @DatePattern("yyyy/MM/dd")
    Employee convert(EmployeeDto employeeDto);

    @DatePattern("yyyy/MM/dd")
    @ConversionRule("mname : manager.ename")
    EmployeeDto convert(Employee employee);
}
