import java.util.ArrayList;
import java.util.List;

import org.seasar.extension.unit.S2TestCase;

public class EmployeeDxoTest extends S2TestCase {

    private EmployeeDxo employeeDxo;

    @Override
    protected void setUp() throws Exception {
        include(getClass().getName() + ".dicon");
    }

    public void test() {
        Employee manager = new Employee();
        manager.setEname("bar");

        Employee employee = new Employee();
        employee.setEname("foo");
        // このコメントを外すと正常に動く
        // employee.setManager(manager);

        EmployeeDto dto = employeeDxo.convert(employee);
        assertEquals("bar", dto.getMname());
        assertEquals("foo", dto.getEname());

        List<Employee> employees = new ArrayList<Employee>();
        employees.add(employee);
        List<EmployeeDto> dtoList = employeeDxo.convert(employees);
        assertEquals("bar", dtoList.get(0).getMname());
        assertEquals("foo", dtoList.get(0).getEname());

    }
}
